language: go
matrix:
    include:
        - go: 1.2.x
          env: GOOS=linux GOARCH=amd64
        - go: 1.2.x
          env: GOOS=linux GOARCH=386
        - go: 1.2.x
          env: GOOS=windows GOARCH=amd64
        - go: 1.2.x
          env: GOOS=windows GOARCH=386
        - go: 1.3.x
        - go: 1.4.x
        - go: 1.5.x
        - go: 1.6.x
        - go: 1.7.x
        - go: 1.8.x
        - go: 1.9.x
        - go: 1.10.x
        - go: 1.11.x
          env: GOOS=linux GOARCH=amd64
        - go: 1.11.x
          env: GOOS=linux GOARCH=386
        - go: 1.11.x
          env: GOOS=windows GOARCH=amd64
        - go: 1.11.x
          env: GOOS=windows GOARCH=386
        - go: tip
go_import_path: gopkg.in/asn-ber.v1
install:
    - go list -f '{{range .Imports}}{{.}} {{end}}' ./... | xargs go get -v
    - go list -f '{{range .TestImports}}{{.}} {{end}}' ./... | xargs go get -v
    - go get code.google.com/p/go.tools/cmd/cover || go get golang.org/x/tools/cmd/cover
    - go build -v ./...
script:
    - go test -v -cover ./... || go test -v ./...
